package yaes.framework.entity.control.speedcontrol;

import yaes.framework.entity.control.ControlException;
import yaes.framework.entity.control.ISpeedControl;
import yaes.framework.entity.control.ISpeedControllable;

public abstract class AbstractSpeedControl implements ISpeedControl {
	protected ISpeedControllable controllable;

	public AbstractSpeedControl() {
	}

	public abstract void control(double time) throws ControlException;

	public void setControllable(ISpeedControllable controllable) {
		this.controllable = controllable;
	}
}
