package yaes.ui.propertysheet;

/**
 * Interface for presenting errors
 */
public interface ErrorPresenter {
	public int getUsersYesNoCancelOption(String message);

	/**
	 * Declares method which handles confirmation presentation
	 * 
	 */
	public boolean getUsersYesNoOption(String message);

	/**
	 * Declares method which handles error presentation
	 * 
	 */
	public void showError(String errorText);

	/**
	 * Declares method which handles message presentation
	 * 
	 */
	public void showMessage(String errorText);
}
