package yaes.ui.propertysheet;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class dlgAddProperty extends JPanel implements ActionListener {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	JTextField name = new JTextField(20);
	JTextField value = new JTextField(20);
	String name_str = "";
	String value_str = "";
	JPanel namePanel = new JPanel();
	JPanel valuePanel = new JPanel();
	String propertyName = "Property Name:";
	String propertyValue = "Property Value:";

	public dlgAddProperty() {
		init();
	}

	public dlgAddProperty(String pPropertyName, String pPropertyValue) {
		propertyName = pPropertyName;
		propertyValue = pPropertyValue;
		init();
	}

	public void actionOk() {
		name_str = name.getText();
		value_str = value.getText();
	}

	public void actionPerformed(ActionEvent e) {
		final String stringSource = ((Component) e.getSource()).getName();
		if (stringSource.equals(DialogFrame.NAME_OK)) {
			actionOk();
			return;
		}
		if (stringSource.equals(DialogFrame.NAME_CANCEL)) {
			return;
		}
	}

	@Override
	public String getName() {
		return name_str;
	}

	public String getValue() {
		return value_str;
	}

	private void init() {
		setupPanel();
		this.setLayout(new BorderLayout());
		this.add(namePanel, BorderLayout.NORTH);
		this.add(valuePanel, BorderLayout.SOUTH);
	}

	private void setupPanel() {
		final JLabel nameLabel = new JLabel(propertyName);
		final JLabel valueLabel = new JLabel(propertyValue);
		final FlowLayout fl1 = new FlowLayout();
		final FlowLayout fl2 = new FlowLayout();
		namePanel.setLayout(fl1);
		valuePanel.setLayout(fl2);
		namePanel.add(nameLabel);
		namePanel.add(name);
		valuePanel.add(valueLabel);
		valuePanel.add(value);
	}
}
