package yaes.framework.world.map;

/**
 * @author lboloni
 * 
 */
public class WhiteIsAccessible implements IAccessibilityChecker {
	/*
	 * (non-Javadoc)
	 * 
	 * @see yaes.framework.world.map.IAccessibilityChecker#isAccessible(yaes.framework.world.map.IMap,
	 *      yaes.framework.world.map.Location)
	 */
	public boolean isAccessible(IMap map, Location location) {
		if (map.getPropertyAtAsBoolean(MapConstants.ACCESSIBLE, location) == false) {
			return false;
		} else {
			if (map.getPropertyAtAsBoolean(MapConstants.SAFE, location) == false) {
				return false;
			}
		}
		return true;
	}
}
