package yaes.ui.propertysheet;

/**
 * Title: Description: Copyright: Copyright (c) 2001 Company:
 * 
 * @author
 * @version 1.0
 */
public class MutexException extends Exception {
	static final long serialVersionUID = 2806363561939985219L;
	/** encapsulate exception */
	private final Exception ex;

	/**
	 * Create an encapsulated exception.
	 * 
	 * @param ex
	 *            the exception
	 */
	public MutexException(Exception ex) {
		super(ex.toString());
		this.ex = ex;
	}

	/**
	 * Get the encapsulated exception.
	 * 
	 * @return the exception
	 */
	public Exception getException() {
		return ex;
	}
}
